Page MenuHomePhabricator

Changing contact records from individual records to organization records
Closed, ResolvedPublic4 Estimated Story Points

Description

The online donation form doesn't allow for organization names, so people will enter organization names in the first and/or last names fields and Civi creates individual records for them. There is currently no option to then change the record type to organization. Having organizations in Civi as individuals makes them difficult to search and the records difficult to keep clean. Example: CID 13115753

Could we please look into a way to change the record type once the record has been created?

Event Timeline

LeanneS created this task.Jan 24 2017, 10:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2017, 10:01 PM
DStrine triaged this task as Medium priority.Jan 26 2017, 12:08 AM
DStrine set the point value for this task to 4.Jun 26 2017, 9:38 PM
Eileenmcnaughton closed this task as Resolved.Nov 29 2017, 3:26 AM
Eileenmcnaughton claimed this task.

If this is done, can we get a demo so we can show users how to do it?

It's currently in 'doing'

Eileenmcnaughton reopened this task as Open.Nov 29 2017, 8:15 PM

Ah, OK sorry. It was showing as resolved for us.

Yeah David pointed out I had changed the status - but not intentionally!

Change 398176 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Add extension to change contact types

https://gerrit.wikimedia.org/r/398176

Change 398190 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm/civicrm@master] Greetings fixes (already upstreamed)

https://gerrit.wikimedia.org/r/398190

Change 398787 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] CiviCRM updates to support changing contact type.

https://gerrit.wikimedia.org/r/398787

Change 398788 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Pass in skip_greeting_proceessing param

https://gerrit.wikimedia.org/r/398788

Change 398190 merged by jenkins-bot:
[wikimedia/fundraising/crm/civicrm@master] Greetings fixes (already upstreamed)

https://gerrit.wikimedia.org/r/398190

Change 398787 abandoned by Eileen:
CiviCRM updates to support changing contact type.

Reason:
was hoping this would show test passiness but it doesn't - will redo when code all ready

https://gerrit.wikimedia.org/r/398787

Change 398788 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Pass in skip_greeting_proceessing param

https://gerrit.wikimedia.org/r/398788

Change 399545 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@master] Update CiviCRM submodule

https://gerrit.wikimedia.org/r/399545

Change 399545 merged by jenkins-bot:
[wikimedia/fundraising/crm@master] Update CiviCRM submodule

https://gerrit.wikimedia.org/r/399545

Change 398176 merged by Eileen:
[wikimedia/fundraising/crm@master] Add extension to change contact types

https://gerrit.wikimedia.org/r/398176

Change 403558 had a related patch set uploaded (by Eileen; owner: Eileen):
[wikimedia/fundraising/crm@deployment] Add extension to change contact types

https://gerrit.wikimedia.org/r/403558

Change 403558 merged by jenkins-bot:
[wikimedia/fundraising/crm@deployment] Add extension to change contact types

https://gerrit.wikimedia.org/r/403558

@LeanneS @NNichols @CaitVirtue you should now see an option to change contact type now in Civi.

Note that I gave the roles fr-tech & CiviCRM Admin permission to change contact type. So @MBeat33 will see it but some of his staff & engage staff may not

Eileenmcnaughton closed this task as Resolved.Jan 16 2018, 11:03 PM

Wahoo! This option works great. :) Thanks so much.